#!/bin/sh 
## restart Satellite decoder

echo "Running $0 - `date`"

## Good to go?
if [ "`whoami`" != "fxa" ]
then
  echo "ERROR : $0 must be run as fxa!"
  exit 3
fi

umask 000 # for logging purposes

FLOAT=awips # cluster manager package (floating ip)

cd ${FXA_HOME:=/homea/fxa}/bin # set FXA_HOME to /homea/fxa if it isn't already

loc_host=`hostname` # get hostname to compare with float_host

## START PROCESSES
echo " Starting fxa processes for $FLOAT on $loc_host"
# --------------------------------------------------------------------------
# Set up log variables
# --------------------------------------------------------------------------
LOG_DIR=/data/logs/fxa; export LOG_DIR
LOG_PREF=${FXA_HOME}/data/ingestLogPref; export LOG_PREF
TZ=GMT
sleep 2

# --------------------------------------------------------------------------
# Satellite processes 
# --------------------------------------------------------------------------
echo "  Satellite Controller"
kill -9 `ps -ef |grep -v grep|grep -v restartSat|grep Sat|cut -c10-14`
sleep 3
${FXA_HOME}/bin/DataController COMMS_ROUTER SatelliteController.config &

# --
echo " Completed"
